Subject: git-subtree Ready for Inspection

From: [email-masked] (David A. Greene)
Date: Tue, 07 Feb 2012 21:49:30 -0600

I've put up a branch containing git-subtree at:

[email-masked]:git.git

The branch is called, uncreatively, "subtree."  It should have open read
access.  Please let me know if there's any trouble accessing it.

It includes the git-subtree history imported via git-subtree followed by
a number of changes to bring it in line with the current git practices,
as best I can determine at the moment.

Since this includes the entire history of git-subtree I don't know that
sending patches to the mailing list is helpful.  Can someone fetch the
branch and take a look?  I want to ensure I didn't do anything
egregiously terrible and would like feedback on any needed changes.

If the community wants the patches I added on top of the existing
git-subtree history sent to the list, I can certainly do that.

Thanks!

                              -Dave